Bug#524731: /usr/games/fretsonfire: should depends on libgl1-mesa-dev

Bertrand Marc beberking at gmail.com
Sun Apr 19 13:42:01 UTC 2009

Package: fretsonfire-game
Version: 1.3.110.dfsg-1
Severity: important
File: /usr/games/fretsonfire


I was unable to launch fretsonfire without the package libgl1-mesa-dev. I
only got an error like
File "/usr/lib/python2.5/ctypes/__init__.py", line 348, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: ('GL: cannot open shared object file: No such file or directory', 'GL', None)

With the package libgl1-mesa-dev installed, fretsonfire works perfectly fine.
Maybe you should add a dependency or at least have the right python-* (like
python-opengl?) add the dependency.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages fretsonfire-game depends on:
ii  python                  2.5.4-2          An interactive high-level object-o
ii  python-imaging          1.1.6-3          Python Imaging Library
ii  python-numeric          24.2-9           Numerical (matrix-oriented) Mathem
ii  python-numpy            1:1.2.1-1        Numerical Python adds a fast array
ii  python-ogg              1.3+repack-4     Python interface to the Ogg librar
ii  python-opengl           3.0.0~c1-1       Python bindings to OpenGL
ii  python-pygame           1.7.1release-4.2 SDL bindings for games development
ii  python-pyvorbis         1.4-1            Python interface to the Ogg Vorbis
ii  ttf-dejavu              2.29-2           Metapackage to pull in ttf-dejavu-
ii  ttf-mgopen              1.1-3            Magenta MgOpen TrueType fonts

Versions of packages fretsonfire-game recommends:
pn  fretsonfire-songs-muldjord    <none>     (no description available)
pn  fretsonfire-songs-sectoid     <none>     (no description available)

Versions of packages fretsonfire-game suggests:
pn  vorbis-tools                  <none>     (no description available)

-- no debconf information

More information about the Pkg-games-devel mailing list